This bug was fixed in the package update-manager - 1:

update-manager (1: precise-proposed; urgency=medium

  * Correctly calculate the end of support, and return correctly when support
    has ended. Patch from Andrew Gaul, with thanks. (LP: #1574193)

 -- Brian Murray <>  Fri, 30 Sep 2016 09:55:44 -0700

** Changed in: update-manager (Ubuntu Xenial)
       Status: Fix Committed => Fix Released

You received this bug notification because you are a member of नेपाली
भाषा समायोजकहरुको समूह, which is subscribed to Xenial.
Matching subscriptions: Ubuntu 16.04 Bugs

  ubuntu-support-status lists end-of-support packages (after EOL) as

Status in update-manager package in Ubuntu:
  Fix Released
Status in update-manager source package in Precise:
  Fix Released
Status in update-manager source package in Trusty:
  Fix Released
Status in update-manager source package in Wily:
  Won't Fix
Status in update-manager source package in Xenial:
  Fix Released
Status in update-manager source package in Yakkety:
  Fix Released

Bug description:
  Test Case
  1) Run ubuntu-support-status --show-unsupported and observe the count of 
unsupported packages and the count of packages supported until some future date.
  2) Travel to the future and overshoot by a month.
  3) Run ubuntu-support-status --unsupported and observe the unsupported count 
has not changed.

  With the version of the package from -proposed the count in step 3
  should be incremented by the quantity of packages supported until that
  future date e.g. if you have 8 unsupported and 8 packages supported
  until (1/2017) with the proposed version you should have 16
  unsupported in (2/2017).

  Regression Potential
  A return was missing say that packages were unsupported, so very very little.

  Original Report
  Please see the screen dump below. It contains a section "Supported until 
February 2015 (9m):", but it is April 2016, so the packages should NOT appear 
in the --show-supported list, and it should NOT be introduced with 
"Supported..." because the packages listed below that banner line are 


  $ LC_ALL=en_US.UTF-8 LANGUAGE=en LANG=en_US.UTF-8 ubuntu-support-status 
  Support status summary of 'rho':

  You have 29 packages (0.9%) supported until January 2017 (9m)
  You have 245 packages (7.4%) supported until February 2015 (9m)
  You have 201 packages (6.1%) supported until May 2017 (3y)
  You have 2290 packages (68.9%) supported until May 2019 (5y)

  You have 18 packages (0.5%) that can not/no-longer be downloaded
  You have 539 packages (16.2%) that are unsupported
  Supported until January 2017 (9m):
  libclang-common-3.6-dev libclang1-3.6 libglamor-ltst0 libllvm3.6
  linux-headers-3.13.0-65 linux-headers-3.13.0-65-generic

  Supported until February 2015 (9m):
  apparmor-docs apparmor-utils asciidoc autopoint bash-doc bsh
  checkbox-qt chromium-browser chromium-browser-l10n
  chromium-codecs-ffmpeg-extra comerr-dev dblatex debconf-doc
  dh-autoreconf docbook-dsssl docbook-utils doxygen doxygen-latex
  enblend enfuse expect faad foomatic-db-engine fortune-mod

  ProblemType: BugDistroRelease: Ubuntu 14.04
  Package: update-manager-core 1:0.196.14
  ProcVersionSignature: Ubuntu 3.13.0-83.127-generic 3.13.11-ckt35
  Uname: Linux 3.13.0-83-generic i686
  NonfreeKernelModules: nvidia
  ApportVersion: 2.14.1-0ubuntu3.19

  Architecture: i386
  Date: Sun Apr 24 10:29:43 2016
  EcryptfsInUse: Yes
   b'com.ubuntu.update-manager' b'show-details' b'true'
   b'com.ubuntu.update-manager' b'first-run' b'false'
   b'com.ubuntu.update-manager' b'check-new-release-ignore' b"'natty'"
   b'com.ubuntu.update-manager' b'launch-time' b'1323564009'
  PackageArchitecture: allSourcePackage: update-manager
  UpgradeStatus: Upgraded to trusty on 2014-12-25 (486 days ago)

To manage notifications about this bug go to:

Mailing list:
Post to     :
Unsubscribe :
More help   :

Reply via email to